Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1276927 - RPM package doesn't provide /etc/grub.d/20_memtest86+ file which is in SPEC file
Summary: RPM package doesn't provide /etc/grub.d/20_memtest86+ file which is in SPEC file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: memtest86+
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-01 12:38 UTC by Christian Stadelmann
Modified: 2016-11-24 17:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 17:00:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2015-11-01 12:38:03 UTC
Description of problem:
The spec file states that memtest86+ is providing a file /etc/grub.d/20_memtest86+
The rpm for x86_64 doesn't provide this file. Thus it cannot be installed and memtest86+ won't work out-of-the-box by showing up in grub2's boot menu.

Version-Release number of selected component (if applicable):
5.01.8-fc22

How reproducible:
always

Comment 1 Jaroslav Škarvada 2015-11-05 13:53:52 UTC
It's not installed by default into your bootloader, you need to run 'memtest-setup'.

Comment 2 Christian Stadelmann 2016-08-29 07:45:37 UTC
If a file is not shipped, why should it be declared as "Provides:" then?

Comment 3 Fedora End Of Life 2016-11-24 13:00:46 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.